Subject: Re: bug#8935: 24.0.50; `substitute-command-keys' doc

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 Jul 2011 12:20:44 -0400

>> Actually \ does have a special meaning, which depends on the following
>> char (just like \ in regexps).  The difference between that and regexps
>> is that in regexp \<char> turns into just <char> when \<char> has no
>> special meaning, where it turns into \<char> here.

> If you want a \ in a regexp you must write \\, always.  But if you want
> to have a \ from substitute-command-keys you just write \, and if you
> want \\= you must write \\=\=.  Thus \ by itself is not special here.

The "by itself" doesn't mean much, and \ is special because it changes
the meaning of the subsequent character.  I agree it's not special in
the same way as it is in regexps, but it is still special.

        Stefan